Search documentation of polar_express

# PolarExpress.Schemas.WebhookEndpointUpdate (polar_express v0.1.5)

Copy Markdown View Source

WebhookEndpointUpdate

Schema to update a webhook endpoint.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.WebhookEndpointUpdate{
      enabled: boolean() | nil,
      events: [PolarExpress.Schemas.WebhookEventType.t()] | nil,
      format: PolarExpress.Schemas.WebhookFormat.t() | nil,
      secret: String.t() | nil,
      url: String.t() | nil
    }

- `enabled` - Whether the webhook endpoint is enabled. Nullable.
- `events` - Nullable.
- `format` - Nullable.
- `secret` - Nullable. Deprecated.
- `url` - Nullable.

## Functions

# schema_name()